GNU bug report logs - #37866
Finder of MacOS Catalina cannot open a file with Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Masso Chailly <masso.chailly@HIDDEN>; merged with #37796, #37873; dated Tue, 22 Oct 2019 15:02:06 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 37796 37866 37873. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2019 15:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 11:01:22 2019
Received: from localhost ([127.0.0.1]:60296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMvey-0004nj-U8
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 11:01:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:47527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masso.chailly@HIDDEN>) id 1iMnmG-0005Eh-SD
 for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 02:36:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35037)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <masso.chailly@HIDDEN>) id 1iMnmE-00052m-V2
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 02:36:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <masso.chailly@HIDDEN>) id 1iMnmD-0002td-1p
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 02:36:18 -0400
Received: from mail-pf1-x42f.google.com ([2607:f8b0:4864:20::42f]:45770)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <masso.chailly@HIDDEN>)
 id 1iMnmC-0002tM-Nu
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 02:36:16 -0400
Received: by mail-pf1-x42f.google.com with SMTP id b4so1072291pfr.12
 for <bug-gnu-emacs@HIDDEN>; Mon, 21 Oct 2019 23:36:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:mime-version:date:subject:message-id:to;
 bh=MkVrGoyG3s1hH7QGZfCHKlSaJ8RvkO/fyzOQ0/rTOSk=;
 b=H9vXW7C7Ga79fOENMDxFkAhC5aOus+K3DGuxezPU6ehtgZJiMtW8DVmd5FV0Ibze/S
 GmDcwaLRmdHP7QeXhISRtHg8YXQk14a3hmVBHT9TjNZbzKBK3pyICdGFnDCKfRfJiy/U
 Y073T50W8JbldFzRMXCq/VOWLK6t0+qeaTKlPtruxPOyFBT87QAm1nUnFgVI4nYV9lyd
 vJ5qSGIZqbDyZtfk3dmH5Q0qZtFy4kkXMaxCszzKxI4mKcfegbx87WzKfBKpw7lw81d/
 QLDMtCPJfuHdbYiUXjIAn9kVs6B/wkh5vDLl9DAE+W2symRwCSdRHxuPZtcgLBOQbmWK
 3w4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:subject:message-id:to;
 bh=MkVrGoyG3s1hH7QGZfCHKlSaJ8RvkO/fyzOQ0/rTOSk=;
 b=fsww7z5WGFyViGtn2m0nc2hcC3wq+VDDDtbKUwqT9TnBZZc++hgohYU4eHw8p7d2ZF
 9qo8YDoaRWb1hePqQol9EVqbR/URBdzU1GUpHsvT++dX+52ZRoTIONCCLPJ2XBhv4NNS
 3hlpRaXIQBSc+N952Bjxxkzmx1O4ng+uiv8c6ykYPI0jnLc5qsyCDIYH+Hjh3++jfzH+
 i9wVVkNGAo5teXoUnUgxiJ5eVp5a2juGtnTCDjZK8ESeJi50gOLMmy7qQwVkaLKSnqIj
 2/tWvXNorb7Lfd4RVwxgCD7pX83RafYLaVCNg3iqiF07j3UCxg7rdidUe2n96T5xRCUo
 FalQ==
X-Gm-Message-State: APjAAAV2iBhjkJhBYWVywmRRp9JnYC32Z8dcMlZ64f+ACGvsQLCuP6hN
 2G7vxTj3QESrWuefv6HRRPupsmDz0oY=
X-Google-Smtp-Source: APXvYqx7VzqcjK3lcD9ZQwiSmpwXfeNiPCC0mX1RgBCCrvQKGmnBh59BOTPb0Or1zn2F7zDA44lHfA==
X-Received: by 2002:a17:90a:a783:: with SMTP id
 f3mr2581167pjq.25.1571726174435; 
 Mon, 21 Oct 2019 23:36:14 -0700 (PDT)
Received: from [10.0.1.4] (paula.korea.ac.kr. [163.152.42.13])
 by smtp.gmail.com with ESMTPSA id o9sm22184055pfp.67.2019.10.21.23.36.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 21 Oct 2019 23:36:13 -0700 (PDT)
From: Masso Chailly <masso.chailly@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_60DC25A0-50DC-46A3-88B1-B51184C8A803"
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3594.4.19\))
Date: Tue, 22 Oct 2019 15:36:11 +0900
Subject: Finder of MacOS Catalina cannot open a file with Emacs
Message-Id: <F5A7344B-A307-4E8C-B8A7-AA5DE668E28D@HIDDEN>
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3594.4.19)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::42f
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 22 Oct 2019 11:01:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_60DC25A0-50DC-46A3-88B1-B51184C8A803
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

After upgrading to macOS Catalina, Emacs (v26.3 from GNU Emacs for Mac =
OS X) works very strange. Without Emacs already running, Finder can open =
a file with Emacs as usual. But once Emacs.app is running, it cannot any =
longer. For example, double clicking the file on Finder window does =
nothing; no error message, either.

Opening a file from Emacs GUI causes no problem. Drag-ang-drop'ing a =
file onto Emacs also works fine.


Best regards,

Masso


%%%%

In GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 =
Version 10.14.3 (Build 18D109))
 of 2019-09-02 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1894
Recent messages:
Loading /Users/Masso/Tower/Emacs/Preferences.el (source)...
Loading =E2=80=98web-mode=E2=80=99: unescaped character literals `?]' =
detected!
Loading /Users/Masso/Tower/Emacs/Preferences.el (source)...done
Loading /Users/Masso/Tower/Emacs/Customizations.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading dired-x...done
Loading dired-aux...done

Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  global-undo-tree-mode: t
  undo-tree-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired-aux dired-x dired
dired-loaddefs format-spec rfc822 mml mml-sec epa epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils Preferences server web-mode advice derived
edmacro kmacro disp-table bibwiz refley texson undo-tree diff buffet
ls-lisp seeker basil apple aurora keys paren delsel cua-base
deeper-blue-theme finder-inf info tex-site package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 284274 11043)
 (symbols 48 24080 2)
 (miscs 40 50 252)
 (strings 32 44149 2072)
 (string-bytes 1 1156678)
 (vectors 16 39426)
 (vector-slots 8 774132 9466)
 (floats 8 73 63)
 (intervals 56 224 0)
 (buffers 992 11))


--Apple-Mail=_60DC25A0-50DC-46A3-88B1-B51184C8A803
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><div =
class=3D""><p style=3D"margin: 0px 0px 1em; padding: 0px; border: 0px; =
font-family: Arial, &quot;Helvetica Neue&quot;, Helvetica, sans-serif; =
font-stretch: inherit; line-height: inherit; font-size: 15px; =
vertical-align: baseline; box-sizing: inherit; clear: both; caret-color: =
rgb(36, 39, 41); color: rgb(36, 39, 41);" class=3D"">After upgrading to =
macOS Catalina, Emacs (v26.3 from GNU Emacs for Mac OS X) works very =
strange. Without Emacs already running, Finder can open a file with =
Emacs as usual. But once Emacs.app is running, it cannot any longer. For =
example, double clicking the file on Finder window does nothing; no =
error message, either.</p><p style=3D"margin: 0px 0px 1em; padding: 0px; =
border: 0px; font-family: Arial, &quot;Helvetica Neue&quot;, Helvetica, =
sans-serif; font-stretch: inherit; line-height: inherit; font-size: =
15px; vertical-align: baseline; box-sizing: inherit; clear: both; =
caret-color: rgb(36, 39, 41); color: rgb(36, 39, 41);" class=3D"">Opening =
a file from Emacs GUI causes no problem. Drag-ang-drop'ing a file onto =
Emacs also works fine.</p><div class=3D""><br class=3D""></div></div><div =
class=3D"">Best regards,</div><div class=3D""><br class=3D""></div><div =
class=3D"">Masso</div><div class=3D""><br class=3D""></div><div =
class=3D""><br class=3D""></div><div class=3D"">%%%%</div><div =
class=3D""><br class=3D""></div><div class=3D"">In GNU Emacs 26.3 (build =
1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 Version 10.14.3 (Build =
18D109))</div><div class=3D"">&nbsp;of 2019-09-02 built on <a =
href=3D"http://builder10-14.porkrind.org" =
class=3D"">builder10-14.porkrind.org</a></div><div class=3D"">Windowing =
system distributor 'Apple', version 10.3.1894</div><div class=3D"">Recent =
messages:</div><div class=3D"">Loading =
/Users/Masso/Tower/Emacs/Preferences.el (source)...</div><div =
class=3D"">Loading =E2=80=98web-mode=E2=80=99: unescaped character =
literals `?]' detected!</div><div class=3D"">Loading =
/Users/Masso/Tower/Emacs/Preferences.el (source)...done</div><div =
class=3D"">Loading /Users/Masso/Tower/Emacs/Customizations.el =
(source)...done</div><div class=3D"">For information about GNU Emacs and =
the GNU system, type C-h C-a.</div><div class=3D"">Loading =
dired-x...done</div><div class=3D"">Loading dired-aux...done</div><div =
class=3D""><br class=3D""></div><div class=3D"">Configured =
using:</div><div class=3D"">&nbsp;'configure --with-ns =
'--enable-locallisppath=3D/Library/Application</div><div =
class=3D"">&nbsp;Support/Emacs/${version}/site-lisp:/Library/Application</=
div><div class=3D"">&nbsp;Support/Emacs/site-lisp' =
--with-modules'</div><div class=3D""><br class=3D""></div><div =
class=3D"">Configured features:</div><div class=3D"">NOTIFY ACL GNUTLS =
LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS</div><div =
class=3D""><br class=3D""></div><div class=3D"">Important =
settings:</div><div class=3D"">&nbsp; value of $LANG: =
en_US.UTF-8</div><div class=3D"">&nbsp; locale-coding-system: =
utf-8-unix</div><div class=3D""><br class=3D""></div><div class=3D"">Major=
 mode: Text</div><div class=3D""><br class=3D""></div><div =
class=3D"">Minor modes in effect:</div><div class=3D"">&nbsp; =
global-undo-tree-mode: t</div><div class=3D"">&nbsp; undo-tree-mode: =
t</div><div class=3D"">&nbsp; show-paren-mode: t</div><div =
class=3D"">&nbsp; delete-selection-mode: t</div><div class=3D"">&nbsp; =
global-eldoc-mode: t</div><div class=3D"">&nbsp; electric-indent-mode: =
t</div><div class=3D"">&nbsp; mouse-wheel-mode: t</div><div =
class=3D"">&nbsp; menu-bar-mode: t</div><div class=3D"">&nbsp; =
file-name-shadow-mode: t</div><div class=3D"">&nbsp; =
global-font-lock-mode: t</div><div class=3D"">&nbsp; font-lock-mode: =
t</div><div class=3D"">&nbsp; blink-cursor-mode: t</div><div =
class=3D"">&nbsp; auto-composition-mode: t</div><div class=3D"">&nbsp; =
auto-encryption-mode: t</div><div class=3D"">&nbsp; =
auto-compression-mode: t</div><div class=3D"">&nbsp; column-number-mode: =
t</div><div class=3D"">&nbsp; line-number-mode: t</div><div =
class=3D"">&nbsp; global-visual-line-mode: t</div><div class=3D"">&nbsp; =
visual-line-mode: t</div><div class=3D"">&nbsp; transient-mark-mode: =
t</div><div class=3D""><br class=3D""></div><div class=3D"">Load-path =
shadows:</div><div class=3D"">None found.</div><div class=3D""><br =
class=3D""></div><div class=3D"">Features:</div><div class=3D"">(shadow =
sort mail-extr emacsbug message rmc puny dired-aux dired-x =
dired</div><div class=3D"">dired-loaddefs format-spec rfc822 mml mml-sec =
epa epg gnus-util rmail</div><div class=3D"">rmail-loaddefs mm-decode =
mm-bodies mm-encode mail-parse rfc2231</div><div class=3D"">mailabbrev =
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums</div><div =
class=3D"">mm-util mail-prsvr mail-utils Preferences server web-mode =
advice derived</div><div class=3D"">edmacro kmacro disp-table bibwiz =
refley texson undo-tree diff buffet</div><div class=3D"">ls-lisp seeker =
basil apple aurora keys paren delsel cua-base</div><div =
class=3D"">deeper-blue-theme finder-inf info tex-site package easymenu =
epg-config</div><div class=3D"">url-handlers url-parse auth-source =
cl-seq eieio eieio-core cl-macs</div><div class=3D"">eieio-loaddefs =
password-cache url-vars seq byte-opt gv bytecomp</div><div =
class=3D"">byte-compile cconv cl-loaddefs cl-lib time-date tooltip eldoc =
electric</div><div class=3D"">uniquify ediff-hook vc-hooks =
lisp-float-type mwheel term/ns-win ns-win</div><div =
class=3D"">ucs-normalize mule-util term/common-win tool-bar dnd fontset =
image</div><div class=3D"">regexp-opt fringe tabulated-list replace =
newcomment text-mode elisp-mode</div><div class=3D"">lisp-mode prog-mode =
register page menu-bar rfn-eshadow isearch timer</div><div =
class=3D"">select scroll-bar mouse jit-lock font-lock syntax facemenu =
font-core</div><div class=3D"">term/tty-colors frame cl-generic cham =
georgian utf-8-lang misc-lang</div><div class=3D"">vietnamese tibetan =
thai tai-viet lao korean japanese eucjp-ms cp51932</div><div =
class=3D"">hebrew greek romanian slovak czech european ethiopic indian =
cyrillic</div><div class=3D"">chinese composite charscript charprop =
case-table epa-hook jka-cmpr-hook</div><div class=3D"">help simple =
abbrev obarray minibuffer cl-preloaded nadvice loaddefs</div><div =
class=3D"">button faces cus-face macroexp files text-properties overlay =
sha1 md5</div><div class=3D"">base64 format env code-pages mule custom =
widget hashtable-print-readable</div><div class=3D"">backquote threads =
kqueue cocoa ns multi-tty make-network-process emacs)</div><div =
class=3D""><br class=3D""></div><div class=3D"">Memory =
information:</div><div class=3D"">((conses 16 284274 11043)</div><div =
class=3D"">&nbsp;(symbols 48 24080 2)</div><div class=3D"">&nbsp;(miscs =
40 50 252)</div><div class=3D"">&nbsp;(strings 32 44149 2072)</div><div =
class=3D"">&nbsp;(string-bytes 1 1156678)</div><div =
class=3D"">&nbsp;(vectors 16 39426)</div><div =
class=3D"">&nbsp;(vector-slots 8 774132 9466)</div><div =
class=3D"">&nbsp;(floats 8 73 63)</div><div class=3D"">&nbsp;(intervals =
56 224 0)</div><div class=3D"">&nbsp;(buffers 992 11))</div><div =
class=3D""><br class=3D""></div></body></html>=

--Apple-Mail=_60DC25A0-50DC-46A3-88B1-B51184C8A803--




Acknowledgement sent to Masso Chailly <masso.chailly@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37866; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Oct 2019 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.